package net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.List;

@Data
public class AreaProblemOverview extends ParentResult {

    private  List<EventAnalysisResultResponse> content;

    public  List<EventAnalysisResultResponse> getContent() {
        return content;
    }

    public AreaProblemOverview setContent( List<EventAnalysisResultResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  EventAnalysisResultResponse  {

    @ApiModelProperty(value = "事件类型码",example = "'707'",dataType = "string")
    private   String eventType ;

    @ApiModelProperty(value = "事件类型名称",example = "路口拥堵")
    private   String eventLabel ;

    @ApiModelProperty(value = "问题数量",example = "1")
    private Integer number;

}




