package net.wanji.opt.dao.mapper;

import net.wanji.databus.po.CrossDataHistPO;
import net.wanji.opt.synthesis.pojo.CrossRealTimeAlarmEntity;
import net.wanji.opt.synthesis.pojo.CrossStatusDisOptTimeEntity;
import net.wanji.opt.synthesis.pojo.StrategyCrossResultEntity;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *     监测详情-路口事件详情
 * </p>
 * @author zhengyifan
 * @date 2025/3/15
 */
public interface CrossMapper {
    /**
     * 监测详情-路口事件详情-路口状态分布趋势-优化时间
     * @param crossID 路口ID
     * @return
     */
    List<CrossStatusDisOptTimeEntity> getOptTimes(String crossID);

    /**
     * 监测详情-路口事件详情-路口实时告警
     * @param crossID
     * @param time
     * @return
     */
    List<CrossRealTimeAlarmEntity> getCrossRealTimeAlarms(String crossID, String time);
}
