package net.wanji.opt.servicev2.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemGreenDay;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* <p>
* 绿波问题分析 服务类
* </p>
*
* @author fengyi
* @since 2025-03-13
*/
public interface AnalysisProblemGreenDayService extends IService<AnalysisProblemGreenDay> {

    /**
    * 绿波问题分析详情
    * @param id
    * @return
    */
    AnalysisProblemGreenDay info(Long id);

    /**
    * 绿波问题分析新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AnalysisProblemGreenDay param);

    /**
    * 绿波问题分析修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AnalysisProblemGreenDay param);

    /**
    * 绿波问题分析删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);
}
